package gsauln;
import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.List;
import java.util.Random;

import org.junit.Test;


/**
 * Test suite for {@link MathUtils}.
 * @author afrechet
 */
public class MathUtilsTests {

	@Test
	public void testgetBoostrapSample() {
		
		List<String> list = Arrays.asList("rooster","cow","horse","cat","dog","mouse","donkey","pig");
		Random random = new Random(1);
		
		for(int i=0;i<100;i++)
		{
			ArrayList<String> bootstrapsample = MathUtils.getBoostrapSample(list, list.size(), random);
			
			System.out.println(bootstrapsample);
			
			//Assert that the sample contains only elements from the list.
			assertTrue(list.containsAll(bootstrapsample));
			
			//Assert that the size of the sample is as required.
			assertTrue(bootstrapsample.size()==list.size());
			
			//Assert that the sample contains duplicates.
			assertTrue(new HashSet<String>(bootstrapsample).size()<bootstrapsample.size());
		}
		
		
	}

}
