package gsauln.decisiontree.interfaces;

import java.util.Collection;

/**
 * List-like structure that provides acces to / generates training point collections.
 * Used to generate training data for each tree of a forest. 
 * @author afrechet
 *
 * @param <CTP> Type of training points collections returned.
 * @param <TP> Type of training points used during the creation of the trees.
 * @param <P> Type of point used with the decision tree during query.
 */
public interface ITrainingSetGenerator<CTP extends Collection<TP>,TP extends ITrainingPoint<P, ?>,P extends IPoint<?, ?>>{
	
	/**
	 * @param index - an index uniquely identifying a training set.
	 * @return a training set uniquely identified by provided index.
	 */
	public CTP getTrainingSetAt(int index);
	
}
