package gsauln.decisiontree.trainingsetgenerators;

import java.util.Collection;

import gsauln.decisiontree.interfaces.IPoint;
import gsauln.decisiontree.interfaces.ITrainingPoint;
import gsauln.decisiontree.interfaces.ITrainingSetGenerator;

/**
 * A training set generator that always returns the same set given on construction. 
 * No copy of the data is made on construction or when queried, so the collection might be modified if externally modified.
 * @author afrechet
 */
public class SingleTrainingSetGenerator<CTP extends Collection<TP>,TP extends ITrainingPoint<P, ?>,P extends IPoint<?, ?>> implements ITrainingSetGenerator<CTP,TP,P>{

	private final CTP fTrainingSet;
	
	/**
	 * @param trainingSet the training set returned on each query.
	 */
	public SingleTrainingSetGenerator(CTP trainingSet)
	{
		fTrainingSet = trainingSet;
	}

	@Override
	public CTP getTrainingSetAt(int index) {
		return fTrainingSet;
	}
	


}
